Description

Foreman 1.10 is using a Template's Disk for provisioned VMs disk.
Environment

e Server OS: Ubuntu 14.04

e Foreman: 1.10.0-RC2

e Web Server: Apache + Passenger
e vSphere: 5.0.0

Workflow

Kick off provision from templates (same with either thin provision or not)
Foreman Creates and Copies Template's Disk to the correct location on vSphere
Boots VM using Template's Disk NOT new Disk

Template is locked because new VM is using the disk

Output
This section contains supporting information.

Provision Log
I have attached foreman.log which contains a provision log for the foreman-test-16 host.

Foreman Error
The following is the error from foreman in an attempt to provision a 2nd vm.

Failed to create a compute vSphere-PN (VMware) instance foreman-test-11.config.l
andcareresearch.co.nz: FileLocked: Unable to access file [PN_IBM SAN VM02] Ubunt
u 14.04.1 Template/Ubuntu 14.04.1 Template.vmdk since it is locked

vSphere

¢ The tempaltes.jpg file shows the Ubuntu 14.04 Template and that is locked
¢ wrongdrive.jpg shows that vSphere is using the template disk and not the newly provisioned disk

Related issues:
Related to Foreman - Bug #9705: Disk sizes specified not used in VMware image... Closed 03/10/2015

History

#1 - 11/16/2015 03:43 AM - Dominic Cleal
| can't see anything wrong in the parameters being sent in, it looks like it ought to be cloned by vSphere.
Please try commenting out the following line that modifies volumes:

https://github.com/theforeman/foreman/blob/1.10.0-RC2/app/models/compute_resources/foreman/model/vmware.rb#L 372, restarting and then cloning
again.

This should rule the new volume cloning code in 1.10.0 out. It's possible that if the issue remains then it's the same as 1.9 and may be happening on
the vSphere side.

#2 - 11/18/2015 08:45 PM - Michael Speth

So commenting out line 372 fixed our issue.
Steps that we did.

e Upgraded to RC3

Commented out line 372 on vmware.rb
Restarted apache/passenger

Provisioned new vm

The correct hdd was selected by vsphere!!!

#3 - 11/19/2015 02:50 AM - Dominic Cleal

- Related to Bug #9705: Disk sizes specified not used in VMware image provisioning added

#4 - 11/19/2015 02:50 AM - Dominic Cleal

- translation missing: en.field_release set to 63
Thanks for confirming.

#5 - 11/30/2015 03:37 PM - Michael Speth

So is there a solution for this? So commenting out line 372 does enable us to provision new VMs. However, the disk size cannot be changed nor
additional disks cannot be added. s this related or a different issue?

#6 - 12/01/2015 02:50 AM - Dominic Cleal

The line you're commenting out is part of the resizing/additional disks logic, so it will stop that working. The ticket status will change to Ready for
Testing if a patch is proposed, and Closed with a release if fixed.

#7 - 12/02/2015 06:09 PM - Michael Speth

Dominic Cleal wrote:

The line you're commenting out is part of the resizing/additional disks logic, so it will stop that working. The ticket status will change to Ready for
Testing if a patch is proposed, and Closed with a release if fixed.

What should | do in the mean time?

#8 - 12/11/2015 06:43 AM - Dominic Cleal

- translation missing: en.field_release changed from 63 to 104

#9 - 01/10/2016 08:17 PM - Michael Speth

Just want to confirm that the release of version 1.10.0 still has this problem :(

#10 - 01/18/2016 10:47 AM - Dominic Cleal

- translation missing: en.field_release changed from 104 to 123
https://github.com/theforeman/foreman/blob/1.10.0-RC2/app/models/compute_resources/foreman/model/vmware.rb#L372

#11 - 01/18/2016 04:04 PM - Michael Speth

Is there anything | can do to help debug this issue?
#12 - 02/11/2016 07:57 AM - Timo Goebel
Michael Speth wrote:
Is there anything | can do to help debug this issue?

I just tried to reproduce this and failed. It did not lock the template for me.
| tried with "Thin Provision" and without "Eager Zero" enabled.

#13 - 02/11/2016 03:09 PM - Michael Speth
Timo Goebel wrote:

Michael Speth wrote:

Is there anything | can do to help debug this issue?

| just tried to reproduce this and failed. It did not lock the template for me.

| tried with "Thin Provision" and without "Eager Zero" enabled.
So you will be able to deploy 1 vm with this bug. Its when you try to deploy the 2nd vm that it will fail.
Have you tried to deploy 2 vms back to back on the same storage location?

#14 - 02/23/2016 06:07 AM - Dominic Cleal

- translation missing: en.field_release changed from 123 to 145

#15 - 03/30/2016 08:25 AM - Dominic Cleal

- translation missing: en.field_release deleted (145)
#16 - 03/31/2016 05:44 PM - Michael Speth
What version of vSphere was tried by Timo Goebel?
We are using v5.0.0-4695. Do you think this is related to a bug in that version?
| see this issue has been deleted and not scheduled for a release. Does that mean this is dead? Is there anything else | can do to help debug this?
#17 - 04/01/2016 02:57 AM - Dominic Cleal
Michael Speth wrote:
| see this issue has been deleted and not scheduled for a release. Does that mean this is dead? Is there anything else | can do to help debug

this?

It's been unscheduled as it wasn't fixed by the end of the release series, sorry. Somebody may still fix it.
